DCMTK: DSRReferencedDateTimeList Class Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | List of all members
DSRReferencedDateTimeList Class Reference

Class for referenced date/time list. More...

Inheritance diagram for DSRReferencedDateTimeList:

## Public Member Functions
| DSRReferencedDateTimeList ()
| default constructor
| DSRReferencedDateTimeList (const DSRReferencedDateTimeList &lst)
| copy constructor
virtual | ~DSRReferencedDateTimeList ()
| destructor
DSRReferencedDateTimeList & | operator= (const DSRReferencedDateTimeList &lst)
| assignment operator
OFCondition | print (STD_NAMESPACE ostream &stream, const size_t flags=0, const char separator=',') const
| print list of referenced date/time.
OFCondition | read (DcmItem &dataset, const size_t flags)
| read list of referenced date/time
OFCondition | write (DcmItem &dataset) const
| write list of referenced date/time
OFCondition | putString (const char *stringValue)
| put list of referenced date/time as a string.
Public Member Functions inherited from DSRListOfItems< OFString >
| DSRListOfItems ()
| default constructor
virtual | ~DSRListOfItems ()
| destructor
DSRListOfItems< OFString > & | operator= (const DSRListOfItems< OFString > &lst)
| assignment operator
OFBool | operator== (const DSRListOfItems< OFString > &lst) const
| comparison operator "equal"
OFBool | operator!= (const DSRListOfItems< OFString > &lst) const
| comparison operator "not equal"
void | clear ()
| clear all internal variables
OFBool | isEmpty () const
| check whether the list is empty
size_t | getNumberOfItems () const
| get number of items contained in the list
OFBool | isElement (const OFString &item) const
| check whether specified item is contained in the list
const OFString & | getItem (const size_t idx) const
| get reference to the specified item
OFCondition | getItems (OFVector< OFString > &items) const
| get copy of all items (as a vector)
void | addItem (const OFString &item)
| add item to the list
void | addOnlyNewItem (const OFString &item)
| add item to the list only if it's not already contained
void | addItems (const OFVector< OFString > &items)
| add items to the list
OFCondition | insertItem (const size_t idx, const OFString &item)
| insert item at specified position to the list
OFCondition | removeItem (const size_t idx)
| remove item from the list

## Additional Inherited Members
Protected Member Functions inherited from DSRListOfItems< OFString >
OFBool | gotoItemPos (size_t idx, OFLIST_TYPENAME OFListConstIterator(OFString) &iterator) const
| goto specified item position
OFBool | gotoItem (const OFString &item, OFLIST_TYPENAME OFListConstIterator(OFString) &iterator) const
| goto specified item
Protected Attributes inherited from DSRListOfItems< OFString >
OFList< OFString > | ItemList
| the list maintained by this class

## Detailed Description

Class for referenced date/time list.

## Constructor & Destructor Documentation

## ◆ DSRReferencedDateTimeList()

DSRReferencedDateTimeList::DSRReferencedDateTimeList | ( | const DSRReferencedDateTimeList & | lst | ) |

copy constructor

Parameters

  lst | list to be copied

References DSRReferencedDateTimeList().

## Member Function Documentation

## ◆ operator=()

DSRReferencedDateTimeList & DSRReferencedDateTimeList::operator= | ( | const DSRReferencedDateTimeList & | lst | ) |

assignment operator

Parameters

  lst | list to be copied

Returns
  reference to this list after 'lst' has been copied

References DSRReferencedDateTimeList().

## ◆ print()

OFCondition DSRReferencedDateTimeList::print | ( | STD_NAMESPACE ostream & | stream,
|  | const size_t | flags = 0,
|  | const char | separator = ',' ) const

print list of referenced date/time.

The output of a typical list looks like this: 20001010120000, ...

Parameters

  stream | output stream to which the list should be printed
  flags | flag used to customize the output (see DSRTypes::PF_xxx)
  separator | character specifying the separator between the list items

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ putString()

OFCondition DSRReferencedDateTimeList::putString | ( | const char * | stringValue | ) |

put list of referenced date/time as a string.

This function expects the same input format as created by print(), i.e. a comma separated list of date/time values. The conformance of each value to the Date Time (DT) value representation is not checked.

Parameters

  stringValue | string value to be set

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ read()

OFCondition DSRReferencedDateTimeList::read | ( | DcmItem & | dataset,
|  | const size_t | flags )

read list of referenced date/time

Parameters

  dataset | DICOM dataset from which the list should be read
  flags | flag used to customize the reading process (see DSRTypes::RF_xxx)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DSRReferencedDateTimeList::write | ( | DcmItem & | dataset | ) | const

write list of referenced date/time

Parameters

  dataset | DICOM dataset to which the list should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmsr/include/dcmtk/dcmsr/dsrtcodt.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1